/* writes the the "MK90.BIN" file to the MK-90 RAM card */

#include <stdio.h>
#include "typedefs.h"
#include "timers.h"
#include "common.h"

#define CARDSTART 0x0000
#define CARDSIZE 0x2800

uchar buf[CARDSIZE];


int main (void)
{
  FILE *fp;

  printf ("\nSMP Write Tool (c) Piotr Piatek\n");
  
  if (ioperm (PORT_BASE, 3, 1)) { perror ("ioperm"); exit (1); }
  
  if ((fp = fopen("MK90.BIN", "rb")) == NULL)
  {
    printf ("\nCannot open input file MK90.BIN\n");
    return 1;
  }
  printf ("\nReading file...");
  if (fread (buf, sizeof(uchar), (size_t) CARDSIZE, fp) != (size_t) CARDSIZE)
  {
    printf ("\nPremature end of input file MK90.BIN\n");
    (void) fclose (fp);
    return 1;
  }
  (void) fclose (fp);

  printf ("done.\n");

  Init ();
  SendAddr ((uint) CARDSTART);
  WriteBytes (buf, (uint) CARDSIZE);

  return 0;
}
